# SubLogger.LogMessage (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Host

## Class SubLogger.LogMessage

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.SubLogger.LogMessage

Enclosing class:
  SubLogger

    public static class SubLogger.LogMessage
    extends java.lang.Object

Log Message Storage Class

### Constructor Summary

Constructors
Constructor and Description
`LogMessage(java.util.Date date, java.util.logging.Level level, java.lang.String message)` Store a Message
`LogMessage(java.util.logging.Level level, java.lang.String message)` Store a Message
`LogMessage(java.lang.String message)` Store a Message

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Date` `getDate()` Get the date this message was logged
`java.util.logging.Level` `getLevel()` Get the level this message was logged on
`java.lang.String` `getMessage()` Get the message

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogMessage

    public LogMessage(java.lang.String message)

Store a Message

Parameters:
  `message` - Message

#### LogMessage

    public LogMessage(java.util.logging.Level level,
                      java.lang.String message)

Store a Message

Parameters:
  `level` - Log Level
  `message` - Message

#### LogMessage

    public LogMessage(java.util.Date date,
                      java.util.logging.Level level,
                      java.lang.String message)

Store a Message

Parameters:
  `date` - Date
  `level` - Log Level
  `message` - Message

### Method Detail

#### getDate

    public java.util.Date getDate()

Get the date this message was logged

Returns:
  Date

#### getLevel

    public java.util.logging.Level getLevel()

Get the level this message was logged on

Returns:
  Log Level

#### getMessage

    public java.lang.String getMessage()

Get the message

Returns:
  Message